--[[
	Mod Initialization: ValueWeightRatio
	Author: abot
	Show Value/Weight ratio in tooltip
]]--


local sValue
local sWeight

local function OnUiObjectTooltip(e)
	local obj = e.object
	local objType = obj.objectType
	if objType == tes3.objectType.reference then
		obj = obj.object
	end
	local value = obj.value
	if value then
		local weight = obj.weight
		if weight then
			if weight > 0 then
				local ratio = value / weight
				local s = string.format("%s/%s: %.02f",sValue,sWeight,ratio)
				mwse.log("abot/ValueWeightRatio %s", s)
				local block = e.tooltip:createBlock{}
				block.minWidth = 1
				block.maxWidth = 440
				block.autoWidth = true
				block.autoHeight = true
				block.paddingAllSides = 4
				local label = block:createLabel{text = s}
				label.wrapText = true
			end
		end
	end
end

local function OnInitialized()
	sValue = tes3.getGMST("sValue").value
	sWeight = tes3.getGMST("sWeight").value
	event.register("uiObjectTooltip",OnUiObjectTooltip)
	mwse.log("abot/ValueWeightRatio initialized")
end

event.register("initialized", OnInitialized)
